%define modname sqlite3
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 53_%{modname}.ini

Summary:	SQLite3 database bindings for PHP
Name:		php-sqlite3
Version:	0.6
Release:	%mkrel 7
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/sqlite3/
Source0:	http://pecl.php.net/get/sqlite3-%{version}.tgz
Source1:	%{modname}.ini
Requires:	php-cli >= 3:5.2.0
BuildRequires:	sqlite3-devel >= 3.3.9
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SQLite3 is a PHP extension for use with the SQLite database system. This
extension bundles SQLite 3.5.9 though the minimum requirement is 3.3.9.

%prep

%setup -q -n sqlite3-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" *.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS NEWS TODO package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6-7mdv2009.1
+ Revision: 346634
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6-6mdv2009.1
+ Revision: 341800
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6-5mdv2009.1
+ Revision: 323081
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-4mdv2009.1
+ Revision: 316950
- fix #46071

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdv2009.1
+ Revision: 310308
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-2mdv2009.0
+ Revision: 238430
- rebuild

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2009.0
+ Revision: 228539
- fix build
- 0.6 (pecl version)

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5-8mdv2009.0
+ Revision: 200270
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5-7mdv2008.1
+ Revision: 162154
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-6mdv2008.1
+ Revision: 107719
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-5mdv2008.0
+ Revision: 77576
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-4mdv2008.0
+ Revision: 39524
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-3mdv2008.0
+ Revision: 33880
- rebuilt against new upstream version (5.2.3)
- rebuilt against new upstream version (5.2.2)

* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.0
+ Revision: 18452
- Import php-sqlite3



* Fri Apr 27 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.0
- initial Mandriva package
